curl --request POST \
--url https://api.example.com/api/v1/contract/c3/{licenseInstanceId}/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"from": 0,
"size": 10,
"where": "field1='value' and field2<>'value2'",
"sort": [
{
"field": "timestamp",
"order": "Asc"
}
],
"trackTotal": false
}
EOF{
"data": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"projectId": 123,
"chainUid": "arbitrum",
"address": "<string>",
"implementation": "<string>",
"name": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"addressType": "CONTRACT",
"amlRequired": true,
"icon": "<string>",
"audits": [
{
"contractId": 123,
"cerAuditorId": 123,
"auditStatus": "RELEVANT",
"auditedAt": 123,
"expiredAt": 123,
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE"
}
],
"activeAmlDetectors": 123,
"alertsCount": 123,
"severityCount": {}
}
],
"total": 123
}Search by params from response dto
curl --request POST \
--url https://api.example.com/api/v1/contract/c3/{licenseInstanceId}/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"from": 0,
"size": 10,
"where": "field1='value' and field2<>'value2'",
"sort": [
{
"field": "timestamp",
"order": "Asc"
}
],
"trackTotal": false
}
EOF{
"data": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"projectId": 123,
"chainUid": "arbitrum",
"address": "<string>",
"implementation": "<string>",
"name": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"addressType": "CONTRACT",
"amlRequired": true,
"icon": "<string>",
"audits": [
{
"contractId": 123,
"cerAuditorId": 123,
"auditStatus": "RELEVANT",
"auditedAt": 123,
"expiredAt": 123,
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE"
}
],
"activeAmlDetectors": 123,
"alertsCount": 123,
"severityCount": {}
}
],
"total": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
Use this file to discover all available pages before exploring further.
Authentication
Starting document offset
x >= 00
The number of hits to return
0 <= x <= 1000010
Query string to search for data. Represent SQL 'where'
"field1='value' and field2<>'value2'"
Sorting for the search
1Show child attributes
Return total results field if true